package com.ruoyi.system.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class AlarmStatusDto {

    private static final long serialVersionUID = 1L;

    /** SOS告警处理 */
    private Integer alarmSOSSolve;

    /** SOS未告警处理 */
    private Integer un_alarmSOSSolve;

    /** 围栏告警处理 */
    private Integer alarmRailSolve;

    /** 围栏未告警处理 */
    private Integer un_alarmRailSolve;

    /** 心率告警处理 */
    private Integer alarmHeartSolve;

    /** 心率未告警处理 */
    private Integer un_alarmHeartSolve;

    /** 跌倒告警处理 */
    private Integer alarmFallSolve;

    /** 跌倒未告警处理 */
    private Integer un_alarmFallSolve;

    /** 低电告警处理 */
    private Integer alarmLowSolve;

    /** 低电未告警处理 */
    private Integer un_alarmLowSolve;

    /** 设备状态告警处理 */
    private Integer alarmStatusSolve;

    /** 设备状态未告警处理 */
    private Integer un_alarmStatusSolve;

    public Integer getAlarmSOSSolve() {
        return alarmSOSSolve;
    }

    public void setAlarmSOSSolve(Integer alarmSOSSolve) {
        this.alarmSOSSolve = alarmSOSSolve;
    }

    public Integer getUn_alarmSOSSolve() {
        return un_alarmSOSSolve;
    }

    public void setUn_alarmSOSSolve(Integer un_alarmSOSSolve) {
        this.un_alarmSOSSolve = un_alarmSOSSolve;
    }

    public Integer getAlarmRailSolve() {
        return alarmRailSolve;
    }

    public void setAlarmRailSolve(Integer alarmRailSolve) {
        this.alarmRailSolve = alarmRailSolve;
    }

    public Integer getUn_alarmRailSolve() {
        return un_alarmRailSolve;
    }

    public void setUn_alarmRailSolve(Integer un_alarmRailSolve) {
        this.un_alarmRailSolve = un_alarmRailSolve;
    }

    public Integer getAlarmHeartSolve() {
        return alarmHeartSolve;
    }

    public void setAlarmHeartSolve(Integer alarmHeartSolve) {
        this.alarmHeartSolve = alarmHeartSolve;
    }

    public Integer getUn_alarmHeartSolve() {
        return un_alarmHeartSolve;
    }

    public void setUn_alarmHeartSolve(Integer un_alarmHeartSolve) {
        this.un_alarmHeartSolve = un_alarmHeartSolve;
    }

    public Integer getAlarmFallSolve() {
        return alarmFallSolve;
    }

    public void setAlarmFallSolve(Integer alarmFallSolve) {
        this.alarmFallSolve = alarmFallSolve;
    }

    public Integer getUn_alarmFallSolve() {
        return un_alarmFallSolve;
    }

    public void setUn_alarmFallSolve(Integer un_alarmFallSolve) {
        this.un_alarmFallSolve = un_alarmFallSolve;
    }

    public Integer getAlarmLowSolve() {
        return alarmLowSolve;
    }

    public void setAlarmLowSolve(Integer alarmLowSolve) {
        this.alarmLowSolve = alarmLowSolve;
    }

    public Integer getUn_alarmLowSolve() {
        return un_alarmLowSolve;
    }

    public void setUn_alarmLowSolve(Integer un_alarmLowSolve) {
        this.un_alarmLowSolve = un_alarmLowSolve;
    }

    public Integer getAlarmStatusSolve() {
        return alarmStatusSolve;
    }

    public void setAlarmStatusSolve(Integer alarmStatusSolve) {
        this.alarmStatusSolve = alarmStatusSolve;
    }

    public Integer getUn_alarmStatusSolve() {
        return un_alarmStatusSolve;
    }

    public void setUn_alarmStatusSolve(Integer un_alarmStatusSolve) {
        this.un_alarmStatusSolve = un_alarmStatusSolve;
    }
}
